MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028232Open CASCADE[OCCT] OCCT:Visualizationpublic2016-12-16 15:412017-09-29 16:31
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028232: Visualization, StdPrs_ShadedShape - create WireFrame presentation for sole Vertex / Edge / Wire
DescriptionCurrent logic contains the following check before creating WF presentation within Shaded presentation builder:
  void wireframeFromShape (const Handle (Prs3d_Presentation)& thePrs,
                           const TopoDS_Shape&                theShape,
                           const Handle (Prs3d_Drawer)&       theDrawer)
  {
    Standard_Boolean aDrawAllVerticesFlag = (theDrawer->VertexDrawMode() == Prs3d_VDM_All);

    if (!aDrawAllVerticesFlag && theShape.ShapeType() != TopAbs_COMPOUND)
    {
      return;
    }


This check prevents displaying presentation for sole TopoDS_Vertex, TopoDS_Edge and TopoDS_Wire shapes - only compounds are allowed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0061772)
git (administrator)
2016-12-18 10:19

Branch CR28232 has been created by kgv.

SHA-1: 1be608b5a5bbbc7fcc7451e099d2c1514a9f09ec


Detailed log of new commits:

Author: kgv
Date: Sun Dec 18 10:18:55 2016 +0300

    0028232: Visualization, StdPrs_ShadedShape - create WireFrame presentation for sole Vertex / Edge / Wire
(0061773)
kgv (developer)
2016-12-18 10:19

Patch is ready for review.
(0061886)
san (developer)
2016-12-19 21:14

Branch CR28232 reviewed without remarks, ready for testing.
(0061943)
mkv (tester)
2016-12-21 13:29

Dear BugMaster,
Branch CR28232 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1be608b5a5bbbc7fcc7451e099d2c1514a9f09ec

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92846098 / 92903246 [-0.06%]
Total CPU difference: 21697.990000000173 / 21640.46000000027 [+0.27%]
products component :
Total MEMORY difference: 30083914 / 30065743 [+0.06%]
Total CPU difference: 5338.439999999985 / 5288.009999999972 [+0.95%]

Testing on Windows:
occt component :
Total MEMORY difference: 58511890 / 58518712 [-0.01%]
Total CPU difference: 20076.51749479842 / 19818.897443398673 [+1.30%]
products component :
Total MEMORY difference: 20894309 / 20861060 [+0.16%]
Total CPU difference: 5267.763767499973 / 5204.302560699983 [+1.22%]

There are no differences in images found by testdiff.
(0061944)
mkv (tester)
2016-12-21 13:30

Dear BugMaster,
Branch CR28232 is TESTED.
(0063564)
git (administrator)
2017-02-08 11:32

Branch CR28232 has been deleted by kgv.

SHA-1: 1be608b5a5bbbc7fcc7451e099d2c1514a9f09ec

- Related Changesets
occt: master b6826918
Timestamp: 2016-12-18 07:18:55
Author: kgv
Details ] Diff ]
0028232: Visualization, StdPrs_ShadedShape - create WireFrame presentation for sole Vertex / Edge / Wire
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-16 15:41 kgv New Issue
2016-12-16 15:41 kgv Assigned To => kgv
2016-12-18 10:19 git Note Added: 0061772
2016-12-18 10:19 kgv Note Added: 0061773
2016-12-18 10:19 kgv Assigned To kgv => san
2016-12-18 10:19 kgv Status new => resolved
2016-12-19 21:14 san Note Added: 0061886
2016-12-19 21:14 san Assigned To san => bugmaster
2016-12-19 21:14 san Status resolved => reviewed
2016-12-20 12:32 mkv Assigned To bugmaster => mkv
2016-12-21 13:29 mkv Note Added: 0061943
2016-12-21 13:30 mkv Note Added: 0061944
2016-12-21 13:30 mkv Assigned To mkv => bugmaster
2016-12-21 13:30 mkv Status reviewed => tested
2016-12-21 13:30 mkv Test case number => Not needed
2016-12-23 12:09 kgv Changeset attached => occt master b6826918
2016-12-23 12:09 kgv Assigned To bugmaster => kgv
2016-12-23 12:09 kgv Status tested => verified
2016-12-23 12:09 kgv Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063564
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker